@import "fonts.css";

/* Color */

:root {
  --basic-black: #000000;
  --basic-dark: #aba9a7;
  --basic-extra-dark: #242424;
  --basic-extra-light: #f8f5f2;
  --basic-neutral: #e5e5e5;
  --basic-white: #ffffff;
  --special: #663d15;
}

/* Global */

body {
  min-width: 960px;
  margin: 0;
  padding: 0;

  font-weight: 700;
  font-size: 14px;
  line-height: 24px;
  font-family: "PT Sans Narrow", Arial, sans-serif;
  color: var(--basic-white);
  text-transform: uppercase;

  background-color: var(--basic-black);
  background-image: url("img/bg.jpg");
  background-repeat: no-repeat;
  background-position: top center;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

.visually-hidden {
  position: absolute;

  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;

  white-space: nowrap;

  border: 0;

  clip: rect(0 0 0 0);
  clip-path: inset(100%);
}

/* Main header */

.main-header {
  margin-bottom: 70px;
}

.inner-page .main-header {
  margin-bottom: 70px;

  background-color: var(--basic-black);
}

/* Main navigation */

.main-navigation {
  display: flex;
  flex-direction: column;
  align-items: center;

  font-size: 16px;
  line-height: 20px;
  color: var(--basic-white);

  background-color: transparent;
}

.inner-page .main-navigation {
  flex-direction: row;
  align-items: flex-start;
}

.main-navigation-wrapper {
  width: 100%;
  margin-bottom: 60px;

  background-color: var(--basic-black);
}

/* Logo */

.main-header-logo {
  order: 2;
  width: 368px;
  height: 153px;
}

.inner-page .main-header-logo {
  order: 0;
  width: 111px;
  height: 24px;
  padding: 23px 20px;
}

/* Container */

.container {
  width: 1100px;
  margin: 0 auto;
  padding: 0 10px;
}

.main-navigation .container {
  display: flex;
}

.main-navigation-wrapper .container {
  display: flex;
  justify-content: space-between;
}

/* Site Navigation */

.site-navigation {
  display: flex;
  flex-wrap: wrap;
  width: 680px;
  margin: 0;
  padding: 0;

  list-style: none;
}

.site-navigation-current {
  position: relative;
}

.site-navigation-current a:not([href]) {
  background-color: var(--basic-black);
}

.site-navigation-current::after {
  content: "";
  position: absolute;
  right: 20px;
  bottom: 0;
  left: 20px;

  height: 5px;

  background-color: var(--basic-white);
}

/* User navigation */

.user-navigation {
  max-width: 140px;
}

.inner-page .user-navigation {
  margin-left: auto;
}

.site-navigation a,
.user-navigation a {
  display: block;
  padding: 25px 20px;

  color: var(--basic-white);
}

.site-navigation a:hover,
.site-navigation a:focus,
.user-navigation a:hover,
.user-navigation a:focus {
  background-color: var(--basic-extra-dark);
}

/* Login link */

.login-link::before {
  content: "";
  width: 16px;
  height: 18px;
  background-image: url(../img/svg/login.svg);
  background-repeat: no-repeat;
  background-position: 0 0;
  position: absolute;
  top: 38%;
  left: 15%;
  opacity: 0.3;
}

.login-link:hover::before,
.login-link:focus::before,
.login-link:active::before {
  opacity: 1;
}

.user-navigation .login-link {
  position: relative;

  padding-left: 50px;
}

/* Button */

.button {
  display: inline-block;
  margin-right: 16px;
  padding: 10px 30px;
  font: inherit;
  vertical-align: middle;
  text-align: center;
  color: var(--basic-white);
  text-transform: uppercase;
  background-color: var(--basic-black);
  border: none;
}

.button:hover,
.button:focus,
.button:active {
  background-color: var(--special);
}

.button.disabled,
.button:disabled {
  background-color: var(--basic-black);
  cursor: default;
  opacity: 0.5;
}

.inner-page {
  color: var(--basic-black);

  background-color: var(--basic-extra-light);
  background-image: url("img/pattern-light.jpg");
  background-repeat: repeat;
  background-position: 0 0;
}

.inner-page-container {
  margin-bottom: 55px;
}

.page-title {
  margin: 0;
  margin-bottom: 15px;
  padding: 0;

  font-size: 30px;
  line-height: 42px;
}

/* Breadcrumbs */

.breadcrumbs {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  margin: 0;
  padding: 0;

  list-style: none;
}

.breadcrumbs li {
  position: relative;

  margin-right: 42px;
}

.breadcrumbs li:last-child {
  margin-right: 0;
}

.breadcrumbs li::after {
  content: "";
  position: absolute;
  top: 7px;
  right: -25px;

  width: 8px;
  height: 8px;

  background-color: var(--basic-black);
  transform: rotate(45deg);
}

.breadcrumbs a {
  color: var(--basic-black);
}

.breadcrumbs a:hover,
.breadcrumbs a:focus {
  text-decoration: underline;
}

.breadcrumbs-current {
  color: var(--basic-dark);
}

.breadcrumbs-current::after {
  display: none;
}

/* Big heading */

.inner-content .big-heading {
  display: flex;
  align-items: center;
  margin-top: 55px;
  margin-bottom: 65px;
  font-size: 48px;
  line-height: 48px;
  text-align: center;
}

.big-heading::before,
.big-heading::after {
  content: "";
  flex-grow: 1;
  flex-shrink: 0;
  height: 2px;
  background: var(--basic-black);
}

.big-heading::before {
  margin-right: 25px;
}

.big-heading::after {
  margin-left: 25px;
}

/* Inner columns */

.inner-columns {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin: 60px 0;
}

.inner-column-left,
.inner-column-right {
  width: 460px;
}

.inner-column-left *:first-child,
.inner-column-right *:first-child {
  margin-top: 0;
}

.inner-column-left *:last-child,
.inner-column-right *:last-child {
  margin-bottom: 0;
}

.inner-columns > h3:first-child {
  margin-top: 0;
  width: 100%;
}

/* Custom list */

.custom-list-1 {
  margin: 14px 0;
  padding: 0;
  list-style: none;
}

.custom-list-1 li {
  position: relative;
  margin-bottom: 15px;
  padding-left: 20px;
}

.custom-list-1 li::before {
  content: "";
  position: absolute;
  top: 8px;
  left: 0;
  width: 8px;
  height: 8px;
  background-color: var(--basic-black);
  transform: rotate(45deg);
}

/* Custom-table */

.custom-table-1 {
  width: 100%;
}

.custom-table-1 td {
  width: 50%;
}

.custom-table-1 td:last-child {
  text-align: center;
}

.filter-input:disabled + label,
.filter-input:checked:disabled + label,
.filter-input:disabled:hover + label,
.filter-input:disabled:focus + label {
  color: var(--basic-black);
  opacity: 0.5;
  pointer-events: none;
}

.filter-button {
  padding-right: 30px;
  padding-left: 30px;
}

/* Inner content */

.inner-content {
  margin-bottom: 75px;
}

.inner-content h2 {
  margin-top: 60px;
  margin-bottom: 30px;
  font-size: 24px;
  line-height: 30px;
}

.inner-content h3 {
  margin-top: 60px;
  margin-bottom: 30px;
  font-size: 20px;
  line-height: 24px;
}

.inner-content h2 + h3 {
  margin-top: 30px;
}

.inner-content p {
  margin: 14px 0;
}

.inner-content table {
  border-collapse: collapse;
}

.inner-content td {
  padding: 10px 15px;
  border: 2px solid var(--basic-black);
}

/* Pagination */

.pagination-list {
  display: flex;
  flex-wrap: wrap;
  padding: 0;
  margin: 0;
  list-style: none;
}

.pagination-item {
  margin-right: 5px;
}

.paginatiom-item:last-child {
  margin-right: 0;
}

/* Main footer */

.main-footer {
  margin-top: 65px;
  padding: 60px 0;

  color: var(--basic-white);

  background-color: var(--basic-extra-dark);
  background-image: url("img/pattern-dark.jpg");
  background-repeat: repeat;
  background-position: 0 0;
}

.inner-page .main-footer {
  margin-top: 45px;

  background-image: linear-gradient(to bottom, black, transparent),
  url("img/pattern-dark.jpg");
  background-repeat: repeat-x, repeat;
  background-position: 0 0;
  background-size: 10px 40px, auto;
}

.main-footer .container {
  display: grid;

  grid-template-columns: repeat(3, 1fr);
}

.footer-contacts {
  width: 320px;
  margin: 0;
}

.footer-contacts p {
  margin: 0;
}

.footer-contacts a {
  color: var(--basic-white);
  text-decoration: underline;
}

.footer-contacts a:hover,
.footer-contacts a:focus {
  text-decoration: none;
}

.footer-social {
  width: 145px;

  text-align: center;

  justify-self: center;
}

.footer-social ul {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  width: 141px;
  margin: 0 auto;
  padding: 0;

  list-style: none;
}

.footer-social h2 {
  display: block;
  margin-top: 0;
  margin-bottom: 15px;

  font-size: 14px;
}

.footer-copyright {
  max-width: 150px;
  margin: 0;

  text-align: center;

  justify-self: end;
}

.footer-copyright .button {
  display: block;
  margin-right: 0;
}

.footer-copyright b {
  display: block;
  margin-bottom: 15px;
}

.footer-copyright .button:hover,
.footer-copyright .button:focus {
  color: var(--basic-black);

  background-color: var(--basic-white);
}

/* Social button */

.social-button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 43px;
  height: 43px;

  background-color: var(--basic-black);
}

.social-button:hover,
.social-button:focus {
  background-color: var(--basic-white);
}

.social-button:hover path,
.social-button:focus path {
  fill: var(--basic-black);
}

/* Modal */

.modal {
  display: none;

  color: var(--basic-black);

  background-color: var(--basic-extra-light);
  background-image: url("img/pattern-light.jpg");
  background-repeat: repeat;
  background-position: 0 0;
  box-shadow: 0 30px 50px rgba(0, 0, 0, 0.7);
}

.modal-login h2 {
  margin: 0;
  margin-bottom: 20px;

  font-size: 30px;
  line-height: 42px;
}

.modal-description {
  margin: 0;
  margin-bottom: 10px;
}

/* Login form */

.login-form p {
  margin: 0;
  margin-bottom: 10px;
}

.login-form input[type="email"],
.login-form input[type="password"] {
  box-sizing: border-box;
  width: 300px;
  padding-top: 10px;
  padding-right: 40px;
  padding-bottom: 10px;
  padding-left: 15px;

  font: inherit;
  color: var(--basic-black);
  text-transform: uppercase;

  background-color: var(--basic-extra-light);
  border: 2px solid var(--basic-black);
}

.login-form input:focus {
  border-color: var(--special);
}

.login-form .login-help {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin: 15px 0;
}

.login-icon-user {
  background-image: url("img/user.svg");
  background-repeat: no-repeat;
  background-position: 270px center;
}

.login-icon-password {
  background-image: url("img/lock.svg");
  background-repeat: no-repeat;
  background-position: 270px center;
}

.login-checkbox {
  position: relative;

  padding-left: 30px;

  cursor: pointer;
}

.login-checkbox:hover,
.login-checkbox:focus {
  color: var(--special);
}

.login-checkbox input[type="checkbox"] + .checkbox-indicator {
  position: absolute;
  top: 0;
  left: 0;

  width: 17px;
  height: 17px;

  border: 2px solid var(--basic-black);
}

.login-checkbox input[type="checkbox"]:focus + .checkbox-indicator {
  border-color: var(--special);
  outline: thin dotted;
  outline: 5px auto -webkit-focus-ring-color;
}

.login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::before,
.login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::after {
  content: "";
  position: absolute;
  top: 8px;
  left: 1px;

  width: 15px;
  height: 2px;

  background-color: var(--basic-black);
}

.login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::before {
  transform: rotate(45deg);
}

.login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::after {
  transform: rotate(-45deg);
}

.login-form .button {
  width: 100%;
  margin-right: 0;
}

/* Restore */

.restore {
  color: var(--basic-black);
  text-decoration: underline;
}

.restore:hover,
.restore:focus {
  text-decoration: none;
}

/* Animations */

@keyframes bounce {
  0% {
    transform: translateY(-2000px);
  }

  70% {
    transform: translateY(30px);
  }

  90% {
    transform: translateY(-10px);
  }

  100% {
    transform: translateY(0);
  }
}

@keyframes shake {
  0%,
  100% {
    transform: translateX(0);
  }

  10%,
  30%,
  50%,
  70%,
  90% {
    transform: translateX(-10px);
  }

  20%,
  40%,
  60%,
  80% {
    transform: translateX(10px);
  }
}

/* Modal */

.modal {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  margin: auto;
  display: none;
  color: var(--basic-black);
  background-color: var(--basic-extra-light);
  background-image: url("../img/bg/pattern-light.png");
  background-repeat: repeat;
  box-shadow: 0 30px 50px rgba(0, 0, 0, 0.7);
}

.modal-show {
  display: block;
  animation-name: bounce;
  animation-duration: 0.6s;
}

@keyframes bounce {
  0% {transform: translateY(-2000px);}
  70% {transform: translateY(30px);}
  90% {transform: translateY(-10px);}
  100% {transform: translateY(0);} 
}

.modal-error {
  animation-name: shake;
  animation-duration: 0.6s;
}

@keyframes shake {
  0%, 100% {transform: translateX(0);}
  10%, 30%, 50%, 70%, 90% {transform: translateX(-10px);}
  20%, 40%, 60%, 80% {transform: translateX(10px);}
}

/* Modal close */

.modal-close {
  position: absolute;
  top: 0;
  right: -34px;
  width: 22px;
  height: 22px;
  background-color: transparent;
  border: 0;
  cursor: pointer;
}

.modal-close::before,
.modal-close::after {
  content: "";
  position: absolute;
  top: 10px;
  left: 2px;
  width: 19px;
  height: 3px;
  background-color: var(--basic-dark);
}

.modal-close::before {
  transform: rotate(45deg);
}

.modal-close::after {
  transform: rotate(-45deg);
}

/* Modal login */

.modal-login {
  top: 120px;
  bottom: auto;
  width: 300px;
  padding: 50px 80px;
}

.modal-login h2 {
  margin: 0;
  margin-bottom: 20px;
  font-size: 30px;
  line-height: 42px;
}

.modal-description {
  margin: 0;
  margin-bottom: 10px;
}

/* Modal map */

.modal-map {
  width: 766px;
  height: 560px;
  border: 7px solid white;
}

.modal-map img {
  display: block;
}

.modal-map iframe {
  border: none;
}

/* Login form */

.login-form input[type="email"],
.login-form input[type="password"] {
  font: inherit;
  color: var(--basic-black);
  text-transform: uppercase;
  background-color: var(--basic-extra-light);
  border: 2px solid var(--basic-black);
}

.login-form input:focus {
  border-color: var(--special);
}

.login-icon-user {
background-image: url("../img/svg/user.svg");
background-repeat: no-repeat;
background-position: 270px center;
}

.login-icon-password {
background-image: url("../img/svg/lock.svg");
background-repeat: no-repeat;
background-position: 270px center;
}

/* Restore */

.restore {
color: var(--basic-black);
text-decoration: underline;
}

.restore:hover,
.restore:focus {
text-decoration: none;
}
